Bug 804431 - [abrt] NetworkManager-gnome-0.9.2-1.fc16: Process /usr/bin/nm-connection-editor was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-gnome-0.9.2-1.fc16: Process /usr/bin/nm-connection-edit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:ab2328dbb3a3f8f9c89f59d7d0f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 14:56 EDT by nudel
Modified: 2013-02-13 08:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:54:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.41 KB, text/plain)
2012-03-18 14:56 EDT, nudel
no flags Details
File: maps (25.09 KB, text/plain)
2012-03-18 14:56 EDT, nudel
no flags Details
File: backtrace (17.35 KB, text/plain)
2012-03-18 14:56 EDT, nudel
no flags Details

  None (edit)
Description nudel 2012-03-18 14:56:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/nm-connection-editor
executable:     /usr/bin/nm-connection-editor
kernel:         3.2.9-2.fc16.i686
pid:            30622
pwd:            /
reason:         Process /usr/bin/nm-connection-editor was killed by signal 6 (SIGABRT)
time:           Sun 18 Mar 2012 07:49:57 PM IST
uid:            1000
username:       nudel
var_log_messages: Mar 18 19:49:57 nudel abrt[30707]: Saved core dump of pid 30622 (/usr/bin/nm-connection-editor) to /var/spool/abrt/ccpp-2012-03-18-19:49:57-30622 (45547520 bytes)
xsession_errors: 

backtrace:      Text file, 17769 bytes
dso_list:       Text file, 8616 bytes
maps:           Text file, 25688 bytes

build_ids:
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:85146bf2e324f037daee7ea34ac5c277ac5b5df8
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:c9bedc7ec229b2a2e2ec1b6a6581b415c98bc4c1
:92a21a55d76b5396cd54af99b1a6b1e0bf4a0bc4
:fb5857630898b86982a33a2148c700026700dd01
:42859023e4ec83a16446984b1e0c7510a38731c4
:654235959ac7679b479cbee874a8d86a26902b4e
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:d31267db07bb7f102633c43adc7b083b45aef1d5
:e86235c1e48bee9d33e34fa2b8403598f0af3871
:9211d02efebb73444bcd8bd80367b3e0a680dc3a
:bd57459909b1d938f98498d14c1d23e745d7bd69
:4f9a1b8090deca71bc444d627c9e1b1a33661ac1
:c650dfe2f7ead26f8e48c2433d71b5baf7b3a862
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:b10700e21469fe984e0c5ff87fb2a382dfee4e4a
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:8a257536ca5f5aee876e236d9bab65868b0b385f
:a861dd64efbed0e35b4cdad337313b98c162cf58
:e8e1e23704acbfe4c07b40b4277e792b663cd053
:11154ce3289d599ddf0cb7aec347964357ecde6f
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:626f352ce9cb17528f086ab9c1b98ab2bd61b9c5
:e165994d574251ff921338a0b89bd3e06dbfa2d1
:70ec0be07448920a83c0bceafed09d46008e56b1
:917b19e34a4e653ea2f5151867bfb15e683a008d
:35429a13835de313cf19340c8a7f89d8ea39c47a
:aa9a4df5fa16320332ea125a458d7c569194d323
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:e012145a98558b7d015f3ccf3cacfac44b498980
:7af526de635d0bab82066671e99bac68704c3712
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:d901210c1e549a645a3a6e781ccc9025e18bd845
:cba1ac0fcee8481f9fb00d31b36724d07dd68509
:a96b0d7bb580197b7e7f186f831df6cdc2d6a9e2
:a8bf58adcf7edc7b1bed09d49658a3ee0894c5e6
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:52cfde7a730826ca63e9d6de254413e8e20d6fc4
:7523f9012d700a579c80e83f54445e7bfceb4eca
:faa844e460702359079f4f15f1f881e87777abb6
:3a7e283fe26fe789b9fe402b49aba1f9b8f9638a
:d833509bbb88d2226ce7018b61f7d362caa6cd42
:c1f38a32c6faaa1930eff465aa7bc843af7b6360
:eb703ad658873568367d1ac793f0f45c0a34b82c
:51c8004150fdd48568df3d72c7a5b6f44f4fa72a
:583facf695e1606021a23d426db82fc6f55183e8
:4a19f266c74dade2555f5e1aefa43d509ccff81e
:23d1086014ed5544b3df4cee1f95694032252322
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:30da5b243f6bab6e23c59eee7ca08e2133914327
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:83828a31823ccb1a2e2f04736f01f6c41ba1e360
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:5b853064c3d832d471e71bb67b714a7f69ff11d3
:e42d500dc9e803be62453540b4c81a12e96a006a
:82674b49345364df4c158e8258b93fd4d8fdbae0
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:4b045111479e1ec97d0ef5668482bf808e8dadba
:82348106e4283b6a42803315774717d3acfc11b4
:7ebe92fe862ff1ced28ef663113303af0fcdd9e3
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:88eb1cabfe143e1a4f2a7ed8614c540945c22b78
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:85d9f523fc5d766296825c29f6b588b68cfd985c
:52f6e81623030dc5253dad481f4b5e19ba918a90
:b13cac156e2f55d436d38abd7d82c6f0b2537dd1
:5bfb5514afe40f504eaee43c6b73147644483503
:0351a659bc0812678c67f62af1f802a5f367befc
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:842511af8c84279ea3bc74f861f367c41cbb6ca0
:5508c2da0173109ea1546be9199e8e9eb135f37b
:15bab279752ad8e30f901abae77bcb1ed1f38977
:1b61b2888a6f4709c3f7f62b073ce91f3b3facfd
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:d5210027b194518443386b04e78e2de3da5cec29
:6837f215a36fd3da2898281de699e8e0ff4d8f3d
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:01057378f22431457300439095d5ef1b545b07c4
:10cec21724c13b95ec03f00985b0405412817a49
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:1f19dd0ae78a24ebf6391fbacfb4fd9c38ad1b0b
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=9
:HOSTNAME=nudel.fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=a7426f79c4d794d829b1411600000012-1332089508.570332-1407010818
:GNOME_KEYRING_CONTROL=/tmp/keyring-TsFiUv
:IMSETTINGS_MODULE=none
:USER=nudel
:LD_LIBRARY_PATH=/usr/X11R6/lib:/usr/X11R6/lib/modules
:USERNAME=nudel
:MAIL=/var/spool/mail/nudel
:PATH=/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nudel/.local/bin:/home/nudel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nudel
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=12451
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/nudel
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=nudel
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IfdVb6cWwc,guid=fa28d7b6012ae19ccc5dc96900000de1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nudel
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-nudel-ZHDjxf/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/12455,unix/unix:/tmp/.ICE-unix/12455
:SSH_AUTH_SOCK=/tmp/keyring-TsFiUv/ssh
:GPG_AGENT_INFO=/tmp/keyring-TsFiUv/gpg:0:1
:DESKTOP_AUTOSTART_ID=10230c6bfc4c9a7af9133208950995560000000124550022

smolt_data:
:
:
:General
:=================================
:UUID: b72992c8-1f73-45d4-9857-36fa824db971
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3816.69
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) XP  2600+
:CPU Stepping: 0
:CPU Family: 6
:CPU Model Num: 10
:Number of CPUs: 1
:CPU Speed: 1907
:System Memory: 1254
:System Swap: 2527
:Vendor: Ssystem manufacturer
:System: System product name System version
:Form factor: Desktop
:Kernel: 3.2.10-3.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33129:4332:33129) pci, r8169, ETHERNET, RTL8169/8110 Family PCI Gigabit Ethernet NIC
:(4318:108:0:0) pci, None, PCI/PCI, nForce2 External PCI Bridge
:(4318:106:4163:32917) pci, snd_intel8x0, MULTIMEDIA_AUDIO, nForce2 AC97 Audio Controler (MCP)
:(4098:23876:5260:8306) pci, None, VIDEO, RV280 [Radeon 9200 SE] (Secondary)
:(4098:22884:5260:8307) pci, radeon, VIDEO, CN-AG92E
:(4318:101:4163:32941) pci, pata_amd, STORAGE, nForce2 IDE
:(4318:103:4163:32941) pci, ohci_hcd, USB, nForce2 USB Controller
:(4318:103:4163:32941) pci, ohci_hcd, USB, nForce2 USB Controller
:(4318:104:4163:32941) pci, ehci_hcd, USB, nForce2 USB Controller
:(4318:96:4163:32941) pci, None, PCI/ISA, A7N8X Mainboard
:(4318:488:0:0) pci, None, PCI/PCI, nForce2 AGP
:(4318:100:4163:32941) pci, nForce2_smbus, SERIAL, nForce2 SMBus (MCP)
:(4318:102:4163:32935) pci, forcedeth, ETHERNET, A7N8X Mainboard onboard nForce2 Ethernet
:(4318:494:4163:32960) pci, None, RAM, nForce2 Memory Controller 4
:(4318:493:4163:32960) pci, None, RAM, nForce2 Memory Controller 3
:(4318:480:4163:32960) pci, agpgart-nvidia, HOST/PCI, nForce2 IGP2
:(4318:491:4163:32960) pci, None, RAM, nForce2 Memory Controller 1
:(4232:8241:0:0) pci, sc92031, ETHERNET, N/A
:(4318:492:4163:32960) pci, None, RAM, nForce2 Memory Controller 2
:(4318:495:4163:32960) pci, None, RAM, nForce2 Memory Controller 5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_nudel-lv_root / ext4 4096 4096 13092026 10291847 10160815 3276800 2954159 2954159
:/dev/sda2 /boot ext4 1024 1024 508745 412516 386916 128016 127781 127781
:/dev/mapper/vg_nudel-lv_home /home ext4 4096 4096 47331543 41093527 38723991 11853824 11849480 11849480
:
Comment 1 nudel 2012-03-18 14:56:13 EDT
Created attachment 570932 [details]
File: dso_list
Comment 2 nudel 2012-03-18 14:56:15 EDT
Created attachment 570933 [details]
File: maps
Comment 3 nudel 2012-03-18 14:56:18 EDT
Created attachment 570934 [details]
File: backtrace
Comment 4 Jirka Klimes 2012-03-21 04:36:33 EDT
Are you able to reproduce the crash or was it just random hang?
Could you describe what you were doing with the editor when it fell down.
Comment 5 Dan Williams 2012-03-21 11:20:12 EDT
(In reply to comment #4)
> Are you able to reproduce the crash or was it just random hang?
> Could you describe what you were doing with the editor when it fell down.

Yeah, pretty weird; s_con is NULL which never should happen since the connection will always have had a connection setting added when the editor dialog was created.  For VPN imports it's ensured to exist in import_success_cb(); for clicking Add it's ensured to exist in ce_page_new_connection() which is called from the various *_connection_new() functions in each page-*.c file.
Comment 6 Fedora End Of Life 2013-01-16 08:11:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 08:54:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.